summaryrefslogtreecommitdiffstats
path: root/source/n/netkit-rsh/netkit-rsh.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/netkit-rsh/netkit-rsh.SlackBuild')
-rwxr-xr-xsource/n/netkit-rsh/netkit-rsh.SlackBuild30
1 files changed, 21 insertions, 9 deletions
diff --git a/source/n/netkit-rsh/netkit-rsh.SlackBuild b/source/n/netkit-rsh/netkit-rsh.SlackBuild
index ee1e8ce54..d4f78e0a3 100755
--- a/source/n/netkit-rsh/netkit-rsh.SlackBuild
+++ b/source/n/netkit-rsh/netkit-rsh.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2007-2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2007-2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,21 +20,30 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+PKGNAM=netkit-rsh
VERSION=0.17
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-netkit-rsh
@@ -45,11 +54,14 @@ echo "+=================+"
echo "| netkit-rsh-$VERSION |"
echo "+=================+"
cd $TMP
-tar xzvf $CWD/netkit-rsh-$VERSION.tar.gz
-cd netkit-rsh-$VERSION
+tar xvf $CWD/netkit-rsh-$VERSION.tar.gz || exit 1
+cd netkit-rsh-$VERSION || exit 1
+zcat $CWD/netkit-rsh.arg_max.diff.gz | patch -p1 -l --verbose || exit 1
+zcat $CWD/netkit-rsh.union_wait.diff.gz | patch -p1 -l --verbose || exit 1
+zcat $CWD/netkit-rsh.auth.c.stddef.diff.gz | patch -p1 -l --verbose || exit 1
chown -R root:root .
-./configure --prefix=/usr
-make
+./configure --prefix=/usr || exit 1
+make || exit 1
cd rsh
strip rsh
mkdir -p $PKG/usr/bin